# $Revision: 1.38 $, $Date: 2004/05/07 01:09:23 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Net
%define	pnam	TFTP
Summary:	Net::TFTP Perl module
Summary(cs):	Modul Net::TFTP pro Perl
Summary(da):	Perlmodul Net::TFTP
Summary(de):	Net::TFTP Perl Modul
Summary(es):	Mdulo de Perl Net::TFTP
Summary(fr):	Module Perl Net::TFTP
Summary(it):	Modulo di Perl Net::TFTP
Summary(ja):	Net::TFTP Perl ⥸塼
Summary(ko):	Net::TFTP  
Summary(nb):	Perlmodul Net::TFTP
Summary(pl):	Modu Perla Net::TFTP
Summary(pt):	Mdulo de Perl Net::TFTP
Summary(pt_BR):	Mdulo Perl Net::TFTP
Summary(ru):	  Perl Net::TFTP
Summary(sv):	Net::TFTP Perlmodul
Summary(uk):	  Perl Net::TFTP
Summary(zh_CN):	Net::TFTP Perl ģ
Name:		perl-Net-TFTP
Version:	0.16
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	59d0faa69e894a99fc402bbda4ca7734
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::TFTP - TFTP Client.

%description -l pl
Net::TFTP - klient TFTP.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/Net/TFTP.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-TFTP.spec,v $
Revision 1.38  2004/05/07 01:09:23  ankry
- rel. 3

Revision 1.37  2004/05/06 18:20:46  ankry
- fixed perl-devel BR

Revision 1.36  2004/04/27 00:28:04  ankry
- license fixes, cosmetics

Revision 1.35  2004/04/21 00:10:17  ankry
- ported to new bconds

Revision 1.34  2004/02/18 15:51:30  qboosh
- s/no/nb/ in Summary langs

Revision 1.33  2003/09/09 10:24:43  ankry
- spaces -> tab

Revision 1.32  2003/08/18 08:09:04  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.31  2003/05/28 13:00:54  malekith
- massive attack: source-md5

Revision 1.30  2003/05/25 06:24:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.29  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.28  2003/03/01 20:22:02  radek
- should be ready for perl-5.8.0; release++

Revision 1.27  2003/02/25 00:41:03  radek
- use the __perl macro

Revision 1.26  2003/02/18 15:37:20  ankry
- massive attack: change CPAN URLs

Revision 1.25  2002/10/05 14:19:12  ankry
- added test infrastructure (curently no test implemented), translations,
  cleaning

Revision 1.24  2002/10/05 14:14:35  ankry
- (auto)updated to 0.16

Revision 1.23  2002/07/12 09:04:41  qboosh
- new %%doc and cosmetics

Revision 1.22  2002/07/11 08:02:34  depesz
- new version; should work; STBR

Revision 1.21  2002/07/10 08:48:16  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 10:33:42  depesz
cleanup; revision++

Revision 1.18  2002/02/22 23:29:30  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 14:19:13  depesz
automatic: Source location unified, Relase Up

Revision 1.16  2002/02/10 15:31:28  depesz
adapterized

Revision 1.15  2002/01/18 02:14:23  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.14  2001/11/28 15:20:20  mis
- buildarch noarch; release++

Revision 1.13  2001/09/20 11:37:38  mis
- autoupdated to 0.13

Revision 1.12  2001/08/27 11:18:00  mis
- autoupdated to 0.12

Revision 1.11  2001/04/17 12:13:36  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/19 06:22:58  kloczek
- do not include .packlist in %%files,
- spec adapterized.

Revision 1.8  2001/01/13 01:11:20  dobrek
-Req:perl>=5.6 ;Realase=4;New rpm automat

Revision 1.7  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 23:57:53  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:45  pius
- initial release
